Subject: Re: bug#6249: 23.2: vc-revert don't works in git

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 23 May 2010 15:49:12 -0400

Mario Castelan Castro <[email-masked]> writes:

> NotDashEscaped: You need GnuPG to verify this message
>
> May 22th 2010 in [email-masked] thread "23.2: vc-revert don't
> works in git"
>
> Hi.
>
> I found a possible bug:
>
> Running M-x vc-revert from a buffer displaying a GIT-versioned file
> with non commited changes gives a message like this, for each modified
> file:
>
> FILE: needs update
>
> I.e: If the only modified file, wich I want to revert is program.c i get:
>
> program.c: needs update
>
> If there are more modified files, the message lists all them (I'ts the
> same message if I run M-x vc-revert from program.c, program.h or
> *vc-dir*).

I can't reproduce this.
Can you please describe step by step what you are doing, starting with 
emacs -Q?